corpo, corpo
Obrigatório
-
Propriedades adicionais NÃO são permitidas.
-
Propriedades adicionais NÃO são permitidas.
-
Propriedades adicionais NÃO são permitidas.
-
Propriedades adicionais NÃO são permitidas.
-
Um objeto onde cada chave representa um nome de esquema. Cada esquema contém tabelas nas quais você pode aplicar filtros de tabela.
Respostas
-
OK
-
Inválido porque a string de conexão não contém um nome de banco de dados
-
A tarefa de migração já está em execução
-
A tarefa de migração não pôde ser iniciada devido a um erro ao construir o exemplo de contexto da tarefa - Modo não reconhecido ou Não existem mapeamentos.
-
Erro interno do servidor
POST /jobs
curl \
--request POST 'http://127.0.0.1:8278/api/v1/jobs' \
--header "Content-Type: application/json" \
--data '{"projectId":"string","jdbcConnectionDetails":{"id":"string","type":"ORACLE","url":"string","user":"string","password":"string","savePassword":false,"existingConnectionId":"string","oraclePdbName":"string","isManualUri":false},"mongodbConnectionDetails":{"id":"string","connectionString":"string","savePassword":false,"existingConnectionId":"string"},"options":{"dropCollections":false,"mode":"SNAPSHOT","errorHandling":"FAIL","errorTolerance":42},"verification":{"enabled":false,"includedCollections":["string"]},"relationalTableFilters":{"schema_1_name":{"table_1_name":{"whereClause":"id \u003e 1000 AND id \u003c= 2000"},"table_2_name":{"rowCount":10,"whereClause":"TRUE"}}}}'
Exemplos de solicitação
{
"projectId": "string",
"jdbcConnectionDetails": {
"id": "string",
"type": "ORACLE",
"url": "string",
"user": "string",
"password": "string",
"savePassword": false,
"existingConnectionId": "string",
"oraclePdbName": "string",
"isManualUri": false
},
"mongodbConnectionDetails": {
"id": "string",
"connectionString": "string",
"savePassword": false,
"existingConnectionId": "string"
},
"options": {
"dropCollections": false,
"mode": "SNAPSHOT",
"errorHandling": "FAIL",
"errorTolerance": 42
},
"verification": {
"enabled": false,
"includedCollections": [
"string"
]
},
"relationalTableFilters": {
"schema_1_name": {
"table_1_name": {
"whereClause": "id > 1000 AND id <= 2000"
},
"table_2_name": {
"rowCount": 10,
"whereClause": "TRUE"
}
}
}
}
Exemplos de resposta (200)
{
"id": "string",
"projectId": "string",
"status": "NOT_STARTED",
"cdcStatus": "NOT_STARTED",
"verificationJobId": "string",
"options": {
"dropCollections": false,
"mode": "SNAPSHOT",
"errorHandling": "FAIL",
"errorTolerance": 42
},
"jdbcConnectionString": "string",
"mongoDbConnectionString": "string",
"submittedAt": "2026-05-04T09:42:00Z",
"statistics": {
"startedAt": "2026-05-04T09:42:00Z",
"elapsedSeconds": 42,
"remainingTableCount": 42,
"processingTables": [
"string"
],
"totalEventsSeen": 0,
"snapshotCompleted": false,
"totalTableCount": 42,
"totalEvents": 42,
"totalEventSize": 42
},
"cdcStatistics": {
"startedAt": "2026-05-04T09:42:00Z",
"lastEventTime": "2026-05-04T09:42:00Z",
"lastEventSourceDatabaseTime": "2026-05-04T09:42:00Z",
"eventsInLastHour": 0,
"eventsInLastMinute": 0,
"totalEventsSeen": 0,
"latestBatchMaxSourceDbLagMs": -1
},
"failureError": {
"errorType": "string",
"message": "string",
"failureAt": "2026-05-04T09:42:00Z",
"setupError": false
},
"metadata": {
"telemetryUserId": "string",
"verificationRequested": false,
"verificationStatus": "VERIFYING"
},
"relationalTableFilters": {
"schema_1_name": {
"table_1_name": {
"whereClause": "id > 1000 AND id <= 2000"
},
"table_2_name": {
"rowCount": 10,
"whereClause": "TRUE"
}
}
}
}
Exemplos de resposta (440)
{
"jobId": "string",
"message": "string",
"description": "string",
"timestamp": "2026-05-04T09:42:00Z"
}
Exemplos de resposta (470)
{
"jobId": "string",
"message": "string",
"description": "string",
"timestamp": "2026-05-04T09:42:00Z"
}
Exemplos de resposta (471)
{
"jobId": "string",
"message": "string",
"description": "string",
"timestamp": "2026-05-04T09:42:00Z"
}
Exemplos de resposta (500)
{
"jobId": "string",
"message": "string",
"description": "string",
"timestamp": "2026-05-04T09:42:00Z"
}